# Zone


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>

A Zone represents an independent datacenter in which Exoscale infrastructure is deployed into.

[Read more](https://www.exoscale.com/datacenters/)


---

## Other Operations

## <span data-label="GET" class="pill-GET"></span>list-zones

List Zones

```
GET /zone
```

### Responses

Status: `200` - 200

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `zones` | array of [Zone](/reference/api/_schemas/zone/) |  |

<details>
<summary>Example output</summary>

```json
{
  "zones": [
    {
      "api-endpoint": "string",
      "name": "ch-dk-2",
      "sos-endpoint": "string"
    }
  ]
}
```
</details>


SDK reference for `list-zones`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.ListZones) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.list_zones) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#listZones())

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api list-zones`


